| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::MeshSerializerImpl_v1_2 Class Reference
Core » Resources

Class for providing backwards-compatibility for loading version 1.2 of the .mesh format. More...

`#include <OgreMeshSerializerImpl.h>`

Inheritance diagram for Ogre::MeshSerializerImpl_v1_2:
[legend]

## Public Types
enum | Endian { ENDIAN_NATIVE, ENDIAN_BIG, ENDIAN_LITTLE }
| The endianness of written files. More...

## Public Member Functions
| MeshSerializerImpl_v1_2 ()
| ~MeshSerializerImpl_v1_2 ()
void | exportMesh (const Mesh *pMesh, DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)
| Exports a mesh to the file specified. More...
void | importMesh (DataStreamPtr &stream, Mesh *pDest, MeshSerializerListener *listener)
| Imports Mesh and (optionally) Material data from a .mesh file DataStream. More...

## Detailed Description

Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.

This is a LEGACY FORMAT that pre-dates version Ogre 1.0

## Member Enumeration Documentation

## ◆ Endian

enum Ogre::Serializer::Endian
| inherited

The endianness of written files.

Enumerator
ENDIAN_NATIVE | Use the platform native endian.
ENDIAN_BIG | Use big endian (0x1000 is serialised as 0x10 0x00)
ENDIAN_LITTLE | Use little endian (0x1000 is serialised as 0x00 0x10)

## Constructor & Destructor Documentation

## ◆ MeshSerializerImpl_v1_2()

Ogre::MeshSerializerImpl_v1_2::MeshSerializerImpl_v1_2 | ( |  | ) |

## ◆ ~MeshSerializerImpl_v1_2()

Ogre::MeshSerializerImpl_v1_2::~MeshSerializerImpl_v1_2 | ( |  | ) |

## Member Function Documentation

## ◆ exportMesh()

void Ogre::MeshSerializerImpl::exportMesh | ( | const Mesh * | pMesh,
|  | DataStreamPtr | stream,
|  | Endian | endianMode = `ENDIAN_NATIVE`
| ) |  |
| inherited

Exports a mesh to the file specified.

Remarks
  This method takes an externally created Mesh object, and exports both it and optionally the Materials it uses to a .mesh file.

Parameters

  pMesh | Pointer to the Mesh to export
  stream | The destination stream
  endianMode | The endian mode for the written file

## ◆ importMesh()

void Ogre::MeshSerializerImpl::importMesh | ( | DataStreamPtr & | stream,
|  | Mesh * | pDest,
|  | MeshSerializerListener * | listener
| ) |  |
| inherited

Imports Mesh and (optionally) Material data from a .mesh file DataStream.

Remarks
  This method imports data from a DataStream opened from a .mesh file and places it's contents into the Mesh object which is passed in.

Parameters

  stream | The DataStream holding the .mesh data. Must be initialised (pos at the start of the buffer).
  pDest | Pointer to the Mesh object which will receive the data. Should be blank already.

The documentation for this class was generated from the following file:

- OgreMeshSerializerImpl.h